Bug 702359 - deleting duplicate systems do not shows top-most selected system when asking to confirm
deleting duplicate systems do not shows top-most selected system when asking ...
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
540
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: Regression
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2011-05-05 08:44 EDT by Jan Hutař
Modified: 2012-03-08 04:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-10 02:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Not all systems are selected to SSM when first selected profile was top-most one (145.05 KB, image/png)
2011-05-05 08:47 EDT, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2011-05-05 08:44:22 EDT
Description of problem:
When I want to delete some of duplicate system profiles with top-most one selected, they are selected to SSM and I'm asked for confirmation. On 5.4.1@RHEL6, I'm not getting first one shown (on 5.4.1@RHEL5 it works as expected).


Version-Release number of selected component (if applicable):
spacewalk-java-1.2.39-68.el6sat.noarch


How reproducible:
always on my RHEL6 Satellite


Steps to Reproduce:
1. Register one system to the Satellite multiple times
2. Go to Systems -> Systems -> Duplicate Systems
3. Select first and second duplicate profile
4. Click on Delete Systems


Actual results:
Note that after performing step 3. SSM tray indicates, that "1 system selected".
After step 4., only one systems is offered in "Confirm System Profiles Deletion" table


Expected results:
Both systems should be offered. It should not depend on order of selecting it.


Additional info:
I have checked this against Satellite 5.4.0 and there same scenario worked.
Comment 1 Jan Hutař 2011-05-05 08:47:06 EDT
Created attachment 497079 [details]
Not all systems are selected to SSM when first selected profile was top-most one
Comment 3 Jan Hutař 2011-05-10 02:38:23 EDT
I have tried again on a new set of RHEL5/6 Satellites and can not reproduce now.

Note You need to log in before you can comment on or make changes to this bug.